{{- range $key, $job := .Values.jobs }}
---
apiVersion: batch/v1beta1
kind: CronJob
metadata:
  name: {{ $job.name }}
  namespace: {{ $.Values.namespace | default "toston" }}
spec:
  schedule:  {{ $job.schedule | default "*/3 * * * *" | quote }} 
  startingDeadlineSeconds: 300
  concurrencyPolicy: "Replace"
  jobTemplate:
    metadata:
      labels:
        app_name: {{ $.Values.app_label | default "toston" }}
        level: HIGH
    spec:
      backoffLimit: 0
      template:
        spec:
          volumes:
            - name: trusted-ca
              configMap:
                name: trusted-ca
                items:
                  - key: ca-bundle.crt 
                    path: tls-ca-bundle.pem
            {{- with $job.configmap }}
            - name: {{ $job.name }}-vol
              configMap:
                name: {{ $job.name }}-cm
                defaultMode: 420
            {{- end }}
          containers:
            - name: {{ $job.name }}
              #image: quay.apps.{{ $.Values.cluster_fqdn }}/{{ $job.image.repo }}/{{ $job.image.name }}:{{ $job.image.tag }}
              image: quay.io/{{ $job.image.repo }}/{{ $job.image.name }}:{{ $job.image.tag }}
              env:
                - name: BIG_MSG
                  value: "err"
              volumeMounts:
                - name: trusted-ca
                  mountPath: /etc/pki/ca-trust/extracted/pem
                  readOnly: true
                {{- with $job.configmap }}
                - name: {{ $job.name }}-vol
                  mountPath: {{ $job.configmap.mount }}
                {{- end }}
              imagePullPolicy: Always 
          imagePullSecrets:
             - name: {{ $job.imagePullSecrets | default "secret" }}
          restartPolicy: OnFailure
{{- end }}
